Skip to main content
GET
/
v1
/
batches
List Batches
curl --request GET \
  --url https://api.kiriku.app/v1/batches \
  --header 'Authorization: Bearer <token>'
{
  "batches": [
    {
      "batchId": "<string>",
      "status": "queued",
      "totalDocuments": 123,
      "completedCount": 123,
      "failedCount": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "totalPages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kiriku.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number
default:1
limit
number
default:10

Response

200 - application/json

Paginated list of batches

batches
object[]
total
number
page
number
totalPages
number